<?php
/*
Plugin Name: Epik Collection
Plugin URI: epik-collection
Description: The Epik Collection for Genesis Blocks
Version: 1.0
Author: Appfinite
Author URI: https://appfinite.com
License: GPLv3
License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/

function epik_collection() {
	// Ensure a proper version of Genesis Blocks is active before continuing.
	if ( ! function_exists( 'genesis_blocks_register_layout_component' ) ) {
		return;
	}
	// Register the Epik Home Layout
	genesis_blocks_register_layout_component(
		[
			'type'       => 'layout',
			'key'        => 'epik_home',
			'name'       => 'Epik Home Page',
			'content'    =>  require 'layouts/home.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Home',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/epik_layout_thumbnail_home.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
                'thumbnail'      => plugin_dir_url(__FILE__) . 'assets/epik_section_thumbnail_home.png',
            ],
		]
	);
	// Register the Epik Hero Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_hero',
			'name'       => 'epik Hero',
			'content'    =>  require 'sections/hero.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Hero',
				'Photo',
				'Header',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/hero.png',
            'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik Email Newsletter Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_email_newsletter',
			'name'       => 'epik Email Newsletter',
			'content'    =>  require 'sections/email-newsletter.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Email Newsletter',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/email-newsletter.png',
			'collection' => [
								'slug'  => 'epik',
								'label' => 'Epik Collection',
						],
		]
	);
	// Register the Epik Feature 1 Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_feature_1',
			'name'       => 'epik Feature 1',
			'content'    =>  require 'sections/feature-1.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Feature 1',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/feature-1.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik Feature 2 Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_feature_2',
			'name'       => 'epik Feature 2',
			'content'    =>  require 'sections/feature-2.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Feature 2',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/feature-2.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik Feature 3 Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_feature_3',
			'name'       => 'epik Feature 3',
			'content'    =>  require 'sections/feature-3.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Feature 3',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/feature-3.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik Feature 4 Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_feature_4',
			'name'       => 'epik Feature 4',
			'content'    =>  require 'sections/feature-4.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Feature 4',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/feature-4.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik Feature 5 Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_feature_5',
			'name'       => 'epik Feature 5',
			'content'    =>  require 'sections/feature-5.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Feature 5',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/feature-5.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik Feature 6 Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_feature_6',
			'name'       => 'epik Feature 6',
			'content'    =>  require 'sections/feature-6.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Feature 6',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/feature-6.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik 3 Column Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_3_column',
			'name'       => 'epik 3 Column',
			'content'    =>  require 'sections/3-column.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'3 Column',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/3-column.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik 4 Column Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_4_column',
			'name'       => 'epik 4 Column',
			'content'    =>  require 'sections/4-column.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'4 Column',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/4-column.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik Testimonials Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_testimonials',
			'name'       => 'epik Testimonials',
			'content'    =>  require 'sections/testimonials.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Testimonials',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/testimonials.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik Testimonial 2 Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_testimonial_2',
			'name'       => 'epik Testimonial 2',
			'content'    =>  require 'sections/testimonial-2.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Testimonial 2',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/testimonial-2.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
	// Register the Epik Pricing Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'epik_pricing',
			'name'       => 'epik Pricing',
			'content'    =>  require 'sections/pricing.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Pricing',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/pricing.png',
			'collection' => [
                'slug'  => 'epik',
                'label' => 'Epik Collection',
            ],
		]
	);
}
add_action( 'plugins_loaded', 'epik_collection', 12 );
